Chuyển đến nội dung
Diễn đàn CADViet

tavantoan12

Thành viên
  • Số lượng nội dung

    15
  • Đã tham gia

  • Lần ghé thăm cuối

Mọi thứ được đăng bởi tavantoan12

  1. tavantoan12

    HELP!!!! Nhờ cải tiến lisp

    Từ khóa của em là trans thank bác nhiềuuuuuuuuuuuuuuuuuuu, cám ơn bác kiên nhẫn giúp.
  2. tavantoan12

    HELP!!!! Nhờ cải tiến lisp

    Chào các bác, em có tự tạo được 1 lisp theo nhưng vẫn còn 1 điểm chưa ưng ý nghĩ mãi không ra. Nhờ các cao thủ giúp đỡ ạ - Bản vẽ của em được trình bày theo đường ucs trong file dwg em đính kèm. - Em muốn tạo 1 leader và vòng tròn tại các point màu vàng ( ví trí điểm đặt của leader và tâm vòng trong là tọa độ sau khi làm tròn lấy 3 số sau dấu phẩy và ở ucs world) ***** Vấn đề của em là sau sau khi tạo leader thì nó lại tạo ở tọa độ world nên nó bị nghiêng, em muốn nó được tạo theo đường ucs của mình. Bên dưới là lisp của em (defun c:DT (/ p p1 center n clayer osmode) (setvar "cmdecho" 0) (setq clayer (getvar "clayer") osmode (getvar "osmode") ) (command "ucs" "w") (command "clayer" "8 平面図") (command "cmleaderstyle" "引き出し線1") (prompt "\n Chọn vị trí điểm T ") (setq n 0) (while (setq p (getpoint)) (setq n (1+ n)) (setq p1 (list (atof (rtos (car p) 2 3)) (atof (rtos (cadr p) 2 3)) 0)) (setvar "osmode" 0) (command "circle" p1 0.05) (command "line" (polar p1 0 0.05) (polar p1 pi 0.05) "") (command "rotate" "l" "" p1 "c" 90 "") ;(command "ucs" "p") (command "mleader" "h" p1 pause 0 (strcat "T" (rtos n 2 0))) (setvar "osmode" osmode) ) (command "ucs" "p") (command "clayer" clayer) (princ) ) HELP.dwg
  3. tavantoan12

    HELP!!!! Nhờ cải tiến lisp

    Bác đang hiểu nhầm từ " NGANG " của em rồi. Em muốn nói là góc xoay của cái Mleader nó không khớp với cái ucs hiện hành. Không liên quan gì ortho đâu ạ
  4. tavantoan12

    HELP!!!! Nhờ cải tiến lisp

    May quá bác bắt đầu hiểu ý em rồi, cám ơn bác đã kiên nhẫn. Với câu hỏi của bác thì: Do tính chất công việc em buộc phải làm tròn tọa độ ở wcs , làm tròn của em là từ số thứ 4 sau dấu phẩy sẽ đưa nó về 0 chính về thế mới có dòng (setq p1 (list (atof (rtos (car p) 2 3)) (atof (rtos (cadr p) 2 3)) 0)) này đó bác, không phải làm tròn kiểu luprec đâu ( cái này chỉ về mặt hiển thị thôi chứ bản chất nó không làm tròn) Theo video của bác, nếu bác đưa về wcs , để luprec 7 thì tọa độ của bác sẽ không có dạng xx,xxx0000 (đây là điều em muốn)
  5. tavantoan12

    HELP!!!! Nhờ cải tiến lisp

    Mong bác xem video này sẽ hiểu
  6. tavantoan12

    HELP!!!! Nhờ cải tiến lisp

    câu truyện của em nó ở chỗ này [ bỏ dòng (command "ucs" "w") là đc mà nhỉ ! ^_^] nếu bác bỏ dòng này của em lsp sẽ làm tròn tọa độ ở hệ tọa độ đã bị UCS mà em thì muốn làm tròn tọa độ ở hệ WORLD. 2 nữa là Mleader nó ăn theo UCS mà nên nó mới tạo ra Rotate không theo ý em. Rotate thì em muốn nó ăn theo thằng đã UCS.
  7. tavantoan12

    HELP!!!! Nhờ cải tiến lisp

    Em muốn làm tròn ở hệ tọa độ WORLD chứ không phải hệ tọa độ sau khi UCS. Bác chú ý điểm này
  8. tavantoan12

    HELP!!!! Nhờ cải tiến lisp

    Em nghĩ bác chưa hiểu ý em do em giải kém. Sau khi thao tác lệnh DT em đc cái T1 màu trắng nó có rotate nhưng em muốn rotate = 0 để nó đc như cái màu đỏ bên cạnh
  9. tavantoan12

    HELP!!!! Nhờ cải tiến lisp

    Bác Bee xem điểm T1 em đang tọa sẽ rõ: điểm đó sau khi đưa về UCS world thì nó đang được làm tròn 3 số sau dấu phẩy, nhưng sau khí ucs nó sẽ ko đc làm làm ( đó làm điều em muốn) Bài toán cần giải là làm cho cái Mleader ngang ra sau khi ucs ý
  10. tavantoan12

    HELP!!!! Nhờ cải tiến lisp

    Vấn đề của em là: em muốn làm tròn tọa độ ở hệ world chứ ko phải ở hệ tọa độ sau UCS bác ạ
  11. tavantoan12

    Nhờ kiểm tra lisp

    Chào các bác, lisp của em muốn tạo hình hộp chữ nhật cao 20. Nhưng khi vẽ thì nó không cao lên được 20 như mong muốn, nhờ các pro check giúp và giải thích giúp em. Em cám ơn trước. 1.lsp
  12. tavantoan12

    Nhờ kiểm tra lisp

    thank you bác
  13. tavantoan12

    Nhờ kiểm tra lisp

    Em vừa check thì đúng là nguyên nhân osnap ạ, nhưng em muốn bật osnap thì có fix được không ạ
×